/**********************************************************************************/
/*    Demo program for:								  */
/*	  Board: MSP430-P2274_Rev.A						  */
/*    Manufacture: OLIMEX                                                   	  */
/*	  COPYRIGHT (C) 2010							  */
/*    Designed by: Engineer Penko T. Bozhkov                                      */
/*    Module Name    :  USART	                                                  */
/*    File   Name    :  usart.c		                                          */
/*    Revision       :  initial                                                   */
/*    Date           :  16.03.2010                                                */
/*    Built with IAR Embedded Workbench Version: 4.21                             */
/**********************************************************************************/
#include  "io430x22x4.h"
#include "usart.h"

//Global Variables initialization:
volatile unsigned char USART_Flags_Register = 0;
unsigned char USART_Received_Data = 0;

/**********************************************************************************/
/*  Function name: USART_Send_Data                                                */
/*  	Parameters                                                                */
/*          Input   :  Data		                                          */
/*          Output  :  No	                                                  */
/*	Action: Send one data byte to HyperTerminal via USARTE0.		  */
/**********************************************************************************/
void USART_Send_Data(unsigned char Data){
  while(USART_BUSY);	// Check USCI busy flag
  USART_TxData_Reg = Data;
}


/**********************************************************************************/
/*  Function name: USART_Send_String                                              */
/*  	Parameters                                                                */
/*          Input   :  *String_pointer                                            */
/*          Output  :  No	                                                  */
/*	Action: Send string to HyperTerminal via USART.		  		  */
/**********************************************************************************/
void USART_Send_String(char *String_pointer){
  while(*String_pointer){
    USART_Send_Data(*String_pointer);
    String_pointer++;	
  }	
}


/**********************************************************************************/
/*  Function name: USART_Test_Menu_Begin                                          */
/*  	Parameters                                                                */
/*          Input   :  No			                                  */
/*          Output  :  No	                                                  */
/*	Action: First TEST Menu sending to HyperTerminal.        		  */
/**********************************************************************************/
void USART_Test_Menu_Begin(void){
  // Write TEST Menu to HyperTerminal:
  USART_Send_String("\f\r********************************************************");
  USART_Send_String("\n\r*** Welcom to OLIMEX MSP430-P2274_UART demo program! ***");
  USART_Send_String("\n\r********************************************************");
  USART_Send_String("\n\r*               Press keyboard's key:                  *");
  USART_Send_String("\n\r*               <1> To turn-on  LED1                   *");
  USART_Send_String("\n\r*               <2> To turn-off LED1                   *");
  USART_Send_String("\n\r*               <3> To turn-on  LED2                   *");
  USART_Send_String("\n\r*               <4> To turn-off LED2                   *");
  USART_Send_String("\n\r*------------------------------------------------------*");
  USART_Send_String("\n\r*         Press MSP430-P2274 on-board button:          *");
  USART_Send_String("\n\r*         <B1> To see message:'B1 is pressed!';        *");
  USART_Send_String("\n\r*         <B2> To see message:'B2 is pressed!';        *");
  USART_Send_String("\n\r********************************************************");
  USART_Send_String("\n\r*              Please select any action!               *");  
  USART_Send_String("\n\r********************************************************\n\r");
  
  
  
}


