/**********************************************************************************/
/*    Demo program for:								  */
/*	  Board: MSP430-P2274_Rev.A						  */
/*    Manufacture: OLIMEX                                                   	  */
/*	  COPYRIGHT (C) 2010							  */
/*    Designed by: Engineer Penko T. Bozhkov                                      */
/*    Module Name    :  USART	                                                  */
/*    File   Name    :  usart.c		                                          */
/*    Revision       :  initial                                                   */
/*    Date           :  16.03.2010                                                */
/*    Built with IAR Embedded Workbench Version: 4.21                             */
/**********************************************************************************/
#ifndef __USART_H
#define __USART_H

/***** 1.All functions prototypes *****/
void USART_Send_Data(unsigned char Data);
void USART_Send_String(char *String_pointer);
void USART_Test_Menu_Begin(void);

/***** 2.All definitions *****/
#define USART_BUSY              (UCA0STAT & 0x01)
#define USART_TxData_Reg        UCA0TXBUF
#define USART_RxData_Reg        UCA0RXBUF
#define fUSART_Receive_Set      USART_Flags_Register |= 0x01;
#define fUSART_Receive_Clear    USART_Flags_Register &= ~0x01;
#define fUSART_Receive_Check    (USART_Flags_Register & 0x01)

/***** 3.All variables *****/
extern volatile unsigned char USART_Flags_Register;
extern unsigned char USART_Received_Data;

#endif //__USART_H
